Create amenity for property
POST
https://api.propexo.com/v1/amenities/properties/:idCreate a property amenity for any integration. This is a convenience endpoint that acts as a generic proxy for all amenity creation endpoints.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
id stringrequired
The ID of the resource.
Request
This endpoint expects an object.
amenitystringrequired
The amenity name
custom_data objectdeprecated
Deprecated: Field is no longer applicable
object
integration_idstringrequired
vendorstringrequired
Show 18 enum values
APPFOLIOBUILDIUMELISEAIENTRATAFUNNELKNOCKMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTCAFERENTMANAGERRENTVINERESMANRESMAN_PARTNERSYARDIYARDI_RESTResponse
Successful response
job_idstringrequired
The ID of the job created to handle this operation
data objectrequired
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/amenities/properties/:id
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/v1/amenities/properties/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"amenity": "string",
"integration_id": "string",
"vendor": "APPFOLIO"
}'
const response = await fetch("https://api.propexo.com/v1/amenities/properties/:id", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amenity": "string",
"integration_id": "string",
"vendor": "APPFOLIO"
}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/v1/amenities/properties/:id",
headers={"Authorization": "Bearer <token>"},
json={
"amenity": "string",
"integration_id": "string",
"vendor": "APPFOLIO"
},
)
data = response.json()
200 Successful response
{
"job_id": "string",
"data": {}
}